package com.ningdatech.carapi.industry.mapper;

import com.ningdatech.carapi.car.datascreen.model.dto.DataScreenParam;
import com.ningdatech.carapi.industry.model.po.CeriticatePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DataScreenMapper {

    List<CeriticatePO> tainCertificate(@Param("param") DataScreenParam param);

    List<CeriticatePO> laboratoryQualificationCertificate(@Param("param") DataScreenParam param);

    List<CeriticatePO> laboratoryAcceptanceCertificate(@Param("param") DataScreenParam param);

    List<CeriticatePO> recordCertificateMortarEnterprise(@Param("param") DataScreenParam param);
}
